DescriptorAccess (Java Platform SE 8 )
Keywords: javax.management.DescriptorAccess interface
Date: 2015-11-19

compact3
javax.management

## Interface DescriptorAccess

- All Superinterfaces:
    DescriptorRead
  All Known Implementing Classes:
    ModelMBeanAttributeInfo, ModelMBeanConstructorInfo, ModelMBeanNotificationInfo, ModelMBeanOperationInfo

      public interface DescriptorAccess
      extends DescriptorRead

  This interface is used to gain access to descriptors of the Descriptor class which are associated with a JMX component, i.e. MBean, MBeanInfo, MBeanAttributeInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo.

  ModelMBeans make extensive use of this interface in ModelMBeanInfo classes.

  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDescriptor(Descriptor inDescriptor)` Sets Descriptor (full replace).

    - ### Methods inherited from interface javax.management.DescriptorRead

      `getDescriptor`

- - ### Method Detail

    - #### setDescriptor

          void setDescriptor(Descriptor inDescriptor)

      Sets Descriptor (full replace).
      Parameters:
        `inDescriptor` - replaces the Descriptor associated with the component implementing this interface. If the inDescriptor is invalid for the type of Info object it is being set for, an exception is thrown. If the inDescriptor is null, then the Descriptor will revert to its default value which should contain, at a minimum, the descriptor name and descriptorType.
      See Also:
        `DescriptorRead.getDescriptor()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.